import request from '/@/utils/request';

export function RFIDApi() {
    return {
        // v1
        getRFIDList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckRfid/select/listRfidByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addRFID: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckRfid/insert/saveRfid`,
                method: 'post',
                data: data
            });
        },
        // v1
        modRFID: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckRfid/update/updateRfidById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteRFID: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckRfid/delete/deleteRfidById`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllRFIDList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckRfid/select/listRfidName`,
                method: 'get'
            });
        },

        // 获取图片上传地址
        getUploadUrl: () =>{
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheck/minio/file/presign`,
                method: 'get'
            });
        }
    };
}
